import UIKit
import WowonderMessengerSDK

class SecurityPopupVC: UIViewController {
    
    // MARK: - IBOutlets
    
    @IBOutlet weak var titleLabel: UILabel!
    @IBOutlet weak var errorTextLabel: UILabel!
    @IBOutlet weak var okBtn: UIButton!
    
    // MARK: - Properties
    
    var errorText: String? = ""
    var titleText: String? = ""
    
    // MARK: - View Life Cycles
    
    override func viewDidLoad() {
        
        super.viewDidLoad()
        
        self.initialConfig()
    }
    
    // MARK: - Selectors
    
    // Ok Button Action
    @IBAction func okButtonAction(_ sender: UIButton) {
        self.dismiss(animated: true, completion: nil)
    }
    
    // MARK: - Helper Functions
    
    // Initial Config
    func initialConfig() {
        self.view.backgroundColor = .black.withAlphaComponent(0.4)
        self.okBtn.setTitle(NSLocalizedString("OK", comment: "OK"), for: .normal)
        self.titleLabel.text = titleText ?? "Security"
        self.errorTextLabel.text = errorText ?? "N/A"
    }
    
}
